Subject: Re: bug#76010: describe-face and minibuffer-next/previous-completion

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Feb 2025 15:13:37 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Jake <[email-masked]>,
>   [email-masked]
> Date: Tue, 11 Feb 2025 09:27:12 +0200
> 
> > Could you try this patch?
> 
> Thanks!  I tested and everything works nicely.
> 
> > It seems to handle the described scenario well, but maybe I'm missing some
> > other case.
> >
> > E.g. when would the current implementation go down the "else" path, after
> > (and (stringp start) (stringp end)) evaluating to nil?
> 
> Not sure if such cases exist, I can't find more cases.

Dmitry, I think you should install this on the emacs-30 release
branch, and thanks.